%define with_eds	0

%define api		3.0
%define major		8
%define libname		%mklibname %{name} %{api} %{major}
%define devname		%mklibname %{name} -d

%define bmajor		0
%define blibname	%mklibname glbarcode %{api} %{bmajor}
%define bdevname	%mklibname glbarcode -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME program to create labels and business cards
Name:		glabels
Version:	3.4.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Office/Utilities
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://glabels.sourceforge.net/
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)

%if %{with_eds}
BuildRequires:	pkgconfig(libebook-1.2)
%endif

BuildRequires:	pkgconfig(libiec16022)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk-doc
BuildRequires:	zint-devel
BuildRequires:	gettext-devel
BuildRequires:	itstool

%description
Glabels is stand-alone program for creating labels and business cards
for GNOME.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package provides the shared libraries for %{name}.

%package -n %{blibname}
Summary:	Barcode support libraries for %{name}
Group:		System/Libraries

%description -n %{blibname}
This package contains the shared libraries for barcode support for %{name}.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Recommends:	%{name}-docs = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%package -n %{bdevname}
Summary:	Development files and headers for %{name} barcodes
Group:		Development/Other
Requires:	%{blibname} = %{version}-%{release}
Provides:	glbarcode-devel = %{version}-%{release}
Recommends:	%{name}-docs = %{version}-%{release}

%description -n %{bdevname}
This package contains the development files and headers for %{name} barcodes.

%package docs
Summary:	Development documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description docs
This package contains the development documentation for %{name}.

%prep
%setup -q

%build
%configure2_5x \
%if %{with_eds}
	--with-libebook \
%else
	--without-libebook \
%endif
	--disable-static \
	--disable-schemas-compile

%make

%install
%makeinstall_std

perl -p -i -e 's/%{name}-%{api}.png/%{name}-%{api}/g' \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}-%{api} --with-gnome --with-help

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}-%{api}.lang
%doc README AUTHORS
%{_bindir}/*
%{_datadir}/%{name}-%{api}
%{_datadir}/lib%{name}-%{api}
%{_datadir}/applications/*
%{_datadir}/mime/packages/*
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/glib-2.0/schemas/org.gnome.glabels-3.gschema.xml
%{_datadir}/appdata/glabels-3.appdata.xml

%files docs
%{_datadir}/gtk-doc/html/libglabels-%{api}
%{_datadir}/gtk-doc/html/libglbarcode-%{api}

%files -n %{libname}
%{_libdir}/libglabels-%{api}.so.%{major}{,.*}

%files -n %{blibname}
%{_libdir}/libglbarcode-%{api}.so.%{bmajor}{,.*}

%files -n %{devname}
%{_libdir}/libglabels-%{api}.so
%{_includedir}/libglabels-%{api}
%{_libdir}/pkgconfig/libglabels-%{api}.pc

%files -n %{bdevname}
%{_libdir}/libglbarcode-%{api}.so
%{_includedir}/libglbarcode-%{api}
%{_libdir}/pkgconfig/libglbarcode-%{api}.pc


%changelog
* Sun Apr 24 2016 wally <wally> 3.4.0-1.mga6
+ Revision: 1005828
- new version 3.4.0

* Mon Feb 08 2016 umeabot <umeabot> 3.2.1-2.mga6
+ Revision: 950608
- Mageia 6 Mass Rebuild

* Tue Nov 11 2014 ovitters <ovitters> 3.2.1-1.mga5
+ Revision: 796320
- new version 3.2.1

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-4.mga5
+ Revision: 749892
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-3.mga5
+ Revision: 679607
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Jul 03 2014 ovitters <ovitters> 3.2.0-2.mga5
+ Revision: 642876
- remove barcode-devel br, not available in distro and optional

* Wed Oct 30 2013 wally <wally> 3.2.0-1.mga4
+ Revision: 548058
- new version 3.2.0

* Fri Oct 18 2013 umeabot <umeabot> 3.0.1-3.mga4
+ Revision: 521809
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 3.0.1-2.mga3
+ Revision: 391956
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 fwang <fwang> 3.0.1-1.mga3
+ Revision: 295708
- new version 3.0.1

* Sat Aug 11 2012 wally <wally> 3.0.0-6.mga3
+ Revision: 280731
- disable evolution data server support for now (doesn't build with new eds)
- add patches from upstream git to fix gschema and devel deps
- clean .spec a bit

  + ovitters <ovitters>
    - clean spec

* Mon Nov 21 2011 fwang <fwang> 3.0.0-4.mga2
+ Revision: 170392
- rebuild for new evo
- br gtk-doc
- fix linkage
- rebuild

  + dmorgan <dmorgan>
    - Rebuild against new evolution-data-server

* Sat Jun 18 2011 wally <wally> 3.0.0-1.mga2
+ Revision: 109380
- new version 3.0.0
- new major 8
- create subpackage(s) for barcode support
- create noarch subpackage for docs
- disable static build
- drop old obsoletes
- clean BRs
- fix summaries and descriptions

* Thu Mar 24 2011 boklm <boklm> 2.3.0-5.mga1
+ Revision: 76145
- rebuild for bug #497

* Fri Mar 18 2011 wally <wally> 2.3.0-4.mga1
+ Revision: 74070
- add libtasn1-devel BR
- add gnutls-devel BR
- fix .desktop file
- drop buildroot definition
- change description
- clean .spec a bit
- imported package glabels

